## com.bbn.openmap.tools.beanbox
Class JarInfo

    java.lang.Object
      com.bbn.openmap.tools.beanbox.JarInfo

public class JarInfo
extends java.lang.Object

Utility class for representing a loaded Jar file.

Constructor Summary
`JarInfo(java.lang.String jarName, java.lang.String[] beanNames, boolean[] fromPrototype, MessageHeader[] manifestData)`

Method Summary
`int` `getCount()` Get the number of beans in this Jar file
`java.lang.Object` `getInstance(java.lang.String name)` Get a new Bean instance given its name
`java.lang.String` `getJarName()` Get the name of the file containing this jar file
`static java.lang.String` `getJarName(java.lang.String beanName)` Gets the name of the jar file that the bean came from.
`MessageHeader` `getManifestData(java.lang.String name)` Get Manifest Headers for the specified bean name
`boolean` `isFromPrototype(java.lang.String name)` True if the bean from a serialized prototype.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarInfo

    public JarInfo(java.lang.String jarName,
                   java.lang.String[] beanNames,
                   boolean[] fromPrototype,
                   MessageHeader[] manifestData)

Method Detail

### getJarName

    public static java.lang.String getJarName(java.lang.String beanName)

  Gets the name of the jar file that the bean came from.

### getJarName

    public java.lang.String getJarName()

  Get the name of the file containing this jar file

### getCount

    public int getCount()

  Get the number of beans in this Jar file

### isFromPrototype

    public boolean isFromPrototype(java.lang.String name)

  True if the bean from a serialized prototype.

### getManifestData

    public MessageHeader getManifestData(java.lang.String name)

  Get Manifest Headers for the specified bean name

### getInstance

    public java.lang.Object getInstance(java.lang.String name)

  Get a new Bean instance given its name

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details